## MgQfAll

MgQfAll — Represents all the fields of an entity (through a MgTarget object)

## Synopsis

    struct      MgQfAll;
    guint       mg_qf_all_get_type              (void);
    GObject*    mg_qf_all_new_with_target       (MgQuery *query,
                                                 MgTarget *target);
    GObject*    mg_qf_all_new_with_xml_id       (MgQuery *query,
                                                 const gchar *target_xml_id);
    MgTarget*   mg_qf_all_get_target            (MgQfAll *field);

## Object Hierarchy

      GObject
       +----MgBase
             +----MgQfield
                   +----MgQfAll

## Implemented Interfaces

MgQfAll implements MgXmlStorage, MgRenderer, MgReferer and MgField.

## Properties

      "query"                gpointer             : Read / Write

## Signal Prototypes

    "templ-signal"
                void        user_function      (MgQfAll *mgqfall,
                                                gpointer user_data);

## Description

## Details

### struct MgQfAll

    struct MgQfAll;

### mg_qf_all_get_type ()

    guint       mg_qf_all_get_type              (void);

Returns : |

### mg_qf_all_new_with_target ()

    GObject*    mg_qf_all_new_with_target       (MgQuery *query,
                                                 MgTarget *target);

Creates a new MgQfAll object which represents all the fields of the entity represented by `target`. For example if `target` represents my_table, then the created object would represent 'my_table.*' in SQL notation

`query` : | a MgQuery in which the new object will be
`target` : | a MgTarget object
Returns : | the new object

### mg_qf_all_new_with_xml_id ()

    GObject*    mg_qf_all_new_with_xml_id       (MgQuery *query,
                                                 const gchar *target_xml_id);

Creates a new MgQfAll object which represents all the fields of the entity represented by the target identified by `target_xml_id`.

`query` : | a MgQuery in which the new object will be
`target_xml_id` : | the XML Id of a MgTarget object
Returns : | the new object

### mg_qf_all_get_target ()

    MgTarget*   mg_qf_all_get_target            (MgQfAll *field);

Get the MgTarget object `field` 'belongs' to

`field` : | a MgQfAll object
Returns : | the MgTarget object

## Properties

"`query`" (gpointer : Read / Write) |

## Signals

### The "templ-signal" signal

    void        user_function                  (MgQfAll *mgqfall,
                                                gpointer user_data);

`mgqfall` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.